//
//  main.m
//  CategoryExample
//
//  Created by Ken Anderson on 10/31/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "NSArray+NestedArrays.h"

int main(int argc, const char * argv[])
{
    @autoreleasepool {
        NSArray *example_array =
            @[
                @[@1, @2, @3, @4, @5, @6],
                @[@"Ken", @"Max", @"Lilja", @"Miles", @"Leysia"],
                @[@YES, @NO, @YES, @NO],
                @[@3.14159, @2.71828, @1.61803398875],
                @[@{@"name" : @"ken", @"email" : @"kena@cs.colorado.edu"}]
             ];
        QuietLog(@"Example Array: %@", example_array);
        QuietLog(@"Example Array has %ld subarrays.", example_array.count);
        for (int index = 0; index < example_array.count; index++) {
            QuietLog(@"Position %d has %ld elements",
                  index, [example_array countOfNestedArray:index]);
        }
    }
    return 0;
}

