//
//  ContactInfo.m
//  TheSocial
//
//  Created by Ken Anderson on 10/19/12.
//  Copyright (c) 2012 University of Colorado. All rights reserved.
//

#import "ContactInfo.h"

@implementation ContactInfo

- (id)initWithCoder:(NSCoder *)coder {
    self = [super init];
    if (self) {
        self.name = [coder decodeObjectForKey:@"name"];
        self.twitter = [coder decodeObjectForKey:@"twitter"];
        self.facebook = [coder decodeObjectForKey:@"facebook"];
        self.email = [coder decodeObjectForKey:@"email"];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)coder {
    [coder encodeObject:self.name forKey:@"name"];
    [coder encodeObject:self.twitter forKey:@"twitter"];
    [coder encodeObject:self.facebook forKey:@"facebook"];
    [coder encodeObject:self.email forKey:@"email"];
}

@end
